module.exports = {
  create: {
    requestBody: [
      "match_id",
      "match_name",
      "team_id",
      "team_name",
      "logo",
      "create_id",
      "create_user",
      "create_time",
      "members",
      "match_num",
      "apply_time",
      "win",
      "shu",
      "integral",
      "rank",
      "status",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "match_id",
      "match_name",
      "team_id",
      "team_name",
      "logo",
      "create_id",
      "create_user",
      "create_time",
      "members",
      "match_num",
      "apply_time",
      "win",
      "shu",
      "integral",
      "rank",
      "status",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        match_id: "match_id",
        match_name: "match_name",
        team_id: "team_id",
        team_name: "team_name",
        create_id: "create_id",
        create_user: "create_user",
        create_time: "create_time",
        apply_time: "apply_time",
        status: "status",
        "meta.createdAt@start": "meta.createdAt@start",
        "meta.createdAt@end": "meta.createdAt@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
