module.exports = {
  create: {
    requestBody: [
      "phone",
      "password",
      "type",
      "icon",
      "nickname",
      "gender",
      "work",
      "mechanism",
      "email",
      "status",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "phone",
      "password",
      "type",
      "icon",
      "nickname",
      "gender",
      "work",
      "mechanism",
      "email",
      "status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        phone: "phone",
        type: "type",
        nickname: "nickname",
        gender: "gender",
        work: "work",
        mechanism:"mechanism",
        email: "email",
        status: "status",
        "meta.createdAt@start": "meta.createdAt@start",
        "meta.createdAt@end": "meta.createdAt@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  login: {
    requestBody: ["!phone", "!password"],
  },
  updatePwd: {
    params: ["!id"],
    requestBody: ["!password"],
  },
};
