'use strict';
const Schema = require('mongoose').Schema;
const moment = require('moment');
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');
const { ObjectId } = require('mongoose').Types;
// 参赛团队
const matchteam = {
  match_id: { type: String }, // 比赛id
  match_name: { type: String }, // 比赛名称
  team_id: { type: String }, // 参赛团队id
  team_name: { type: String }, // 参赛团队名称
  logo: { type: Array }, // 参赛团队logo
  create_id: { type: String }, // 参赛团队创建id
  create_user: { type: String }, // 参赛团队创建人
  create_time: { type: String }, // 参赛团队创建时间
  members: { type: Array }, // 参赛团队成员
  match_num: { type: String }, // 参赛团队人数
  apply_time: { type: String }, // 申请时间
  win: { type: String }, // 赢
  shu: { type: String }, // 输
  integral: { type: String }, // 积分
  rank: { type: String }, // 名次
  status: { type: String, default: '0' }, // 状态
  remark: { type: String },
};
const schema = new Schema(matchteam, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ match_id: 1 });
schema.index({ team_id: 1 });
schema.index({ create_id: 1 });
schema.index({ status: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Matchteam', schema, 'matchteam');
};
